Searching smart_class_parameters override_values fails

11/08/2016 07:04 AM - Ori Rabin

Status: Duplicate   

Priority: Normal   

Assignee: Ori Rabin   

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1385217 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1385217

Description of problem:

when searching for entries in the API call https://satellite.example.com/api/v2/smart_class_parameters/148/override_values

using ?search=<something> fails.

GET: https://satellite.example.com/api/v2/smart_class_parameters/148/override_values

{

"total": 1,

"subtotal": 1,

"page": 1,

"per_page": 20,

"search": null,

"sort": {

"by": null,

"order": null

},

"results": [     {

"created_at": "2016-10-14 18:55:05 UTC",

"updated_at": "2016-10-14 18:55:05 UTC",

"id": 2,

"match": "fqdn=hostname.example.redhat.com",

"value": "testing",

"use_puppet_default": false

}

]

}

But: GET https://satellite.example.com/api/v2/smart_class_parameters/148/override_values?search="testing"

{

"message":"Smart class parameter not found by id ''"

}

Version-Release number of selected component (if applicable):

How reproducible:

Always

Steps to Reproduce:

1. Hit the API url https://satellite.example.com/api/v2/smart_class_parameters/148/override_values?search="testing"

Actual results:
{

"message":"Smart class parameter not found by id ''"

}

Expected results:

Return entry with override_values as response

Related issues:

Is duplicate of Foreman - Bug #13517: Searching for smart class parameter ove... Closed

History

#1 - 11/08/2016 07:10 AM - Dominic Cleal

Is this a duplicate of #13517?

#2 - 11/08/2016 07:11 AM - Ori Rabin

- Status changed from New to Duplicate

Yes, thanks

#3 - 11/08/2016 07:12 AM - Ori Rabin

- Is duplicate of Bug #13517: Searching for smart class parameter override values in the API results into a 404 added
